<form nz-form [formGroup]="form">
  <div class="app-row" nz-row [nzGutter]="[30, 0]">
    <div nz-col nzXs="24">
      <mb-input-text formControlName="uid" [mbMaxLength]="100" (mbBlur)="blur()"
                     [mbType]="isSubmitted && form.controls['uid'].errors ? 'error' : 'default'"
                     [mbShowError]="isSubmitted && form.controls['uid'].errors !== null" [mbErrors]="form.controls['uid'].errors"
                     [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'system.validate.required' | translate: {'param': 'Index' | translate }}]"
                     mbPlaceholderText="{{'Index' | translate}}"
                     mbLabelText="{{'Index' | translate}} <span class='label__required'>*</span>">
      </mb-input-text>
    </div>
  </div>
</form>
<div *nzModalFooter class="footer">
  <mb-button mbButtonType="BORDER"  mbButtonSize="LARGE" (click)="cancel()" mbButtonBgColor="transparent"
             mbButtonAvailableStyle="DEFAULT" mbButtonText="{{'common.button.cancel' | translate}}"></mb-button>
  <mb-button mbButtonType="NO_BORDER" mbType='SUBMIT' mbButtonSize="LARGE" (click)="save()" mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.save' | translate}}"></mb-button>
</div>
